Nimbu Developer Docs
ReferenceRoles

Retrieve a role

GET
/roles/{role_id}

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

role_id*string

Role identifier

Header Parameters

Session-Token?string

Customer session token to apply ACL filtering

Response Body

application/json

curl -X GET "https://example.com/roles/string"
{
  "id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "name": "string",
  "description": "string",
  "_acl": {},
  "_owner": "string",
  "customers": [
    "string"
  ],
  "children": [
    "string"
  ],
  "parents": [
    "string"
  ]
}
Empty